﻿# This declares all the images for you. :) 
init python hide:
    #These are the inages in file bg. 
    for file in renpy.list_files():
        if file.startswith('bg/') :
            if file.endswith('.png'):
                name = file.replace('bg/','').replace('/', ' ').replace('.png','')
                renpy.image(name, Image(file, yanchor=768))
                continue
            
            if file.endswith('.jpg'):
                name = file.replace('bg/','').replace('/', ' ').replace('.jpg','')
                renpy.image(name, Image(file, yanchor=768))
                continue
    
        #These are the images in file ch. 
        if file.startswith('ch/') :
            if file.endswith('.png'):
                name = file.replace('ch/','').replace('/', ' ').replace('.png','')
                renpy.image(name, Image(file, yanchor=768))
                continue
            
            if file.endswith('.jpg'):
                name = file.replace('ch/','').replace('/', ' ').replace('.jpg','')
                renpy.image(name, Image(file, yanchor=768))
                continue
            continue
init:
# Declare characters used by this game.
    # ---------- CTC blinking arrow -----------------------
    image ctc_blink:
        xpos 1020 ypos 763
        alpha 1.0
        "arrow.png"
        0.75
        alpha 0
        0.75
        repeat
    
    define narrator = Character(None, 
        ctc="ctc_blink", 
        kind=nvl,) 
    
    define n2 = Character(None, 
        ctc="ctc_blink") 


# The game starts here.
label start:
    scene black 
    menu: 
        "Instructions on how to play this game?":
            jump instruct
        
        "Nah... I know how to do this.":
            jump MadLibs
            
label instruct:
    window show
    "Welcome!\n
     This is a Mad Libs sort of game where you get to add words to a story.\n\n
     The way this works is very simple. In the middle of the page a box will appear asking for a Word. BACKSPACE over the default word and type in your choice, then hit the ENTER key. This will take you to the next Option.\n\n
     On the other hand, if you {i}like{/i} the default word, you can just hit ENTER to select it."
    "If you want to {i}change{/i} a word you entered, you can use your PAGE UP key to go back to that Option then BACKSPACE to erase what you wrote and type in a new word.\n\n
     Once you've entered all the words, the story will begin using your choices throughout the text.\n\n
     Be {i}Creative{/i}! It's more fun that way." 
    "Ready? GO!" 
    nvl clear
    window hide

label MadLibs:
    $ m1 = renpy.input("Name your hero: \n{i}Backspace to erase this name and type in your choice. \nHit ENTER to go to the next choice.{/i}", "Hero", length=20)
    $ m1 = m1.strip() 

    $ ff = renpy.input("Name a Female Friend for the Hero:", "Female Friend", length=20)
    $ ff = ff.strip()

    $ home = renpy.input("Name a type of Home:\n{i}Examples: dorm, mansion, house...{/i}:", "apartment", length=20)
    $ home = home.strip()

    $ dinner = renpy.input("Name a Dinner Course:\n{i}Examples: pizza, roast beef, spagetti & meatballs, lasagne...{/i}", "dinner", length=20)
    $ dinner = dinner.strip()

label gamestart: 
    play nature "sfx/Cityscape.wav" fadeout 1.0
    
    scene bg_street with fade
    show Arthur at left with easeinleft
    
    "\n\n\n\nFull night had fallen by the time [m1] headed for [ff]'s [home] for dinner and a movie. She was cooking [dinner], his favorite."

    n2 "The End."
    hide Arthur with moveoutleft
    with Pause (1.0)
    
    return
